<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'nama', 'username', 'password', 'previlage', 'tandatangan', 'photo', 'firebase'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password'
    ];
    public function getPhoto()
    {
        return $this->hasOne('App\XFiles','xmarking','photo');
    }
    public function getTandatangan()
    {
        return $this->hasOne('App\XFiles','xmarking','tandatangan');
    }
}
